petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscContainerSetUserDestroy

Sets name of the user destroy function.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscContainerSetUserDestroy(PetscContainer obj, PetscErrorCode (*des)(void*))

Logically Collective on PetscContainer

### Input Parameter

| obj | - an object that was created with PetscContainerCreate()
| des | - name of the user destroy function

### Notes

Use PetscContainerUserDestroyDefault() if the memory was obtained by calling PetscMalloc or one of its variants for single memory allocation.

### See Also

PetscContainerDestroy(), PetscContainerUserDestroyDefault(), PetscMalloc(), PetscMalloc1(), PetscCalloc(), PetscCalloc1()

### Level

advanced

### Location

src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages